ru.bitel.bgbilling.modules.inet.api.server.bean

## Class AbstractInetSessionDao<B>

- java.lang.Object
- - ru.bitel.common.dao.AbstarctDaoConstant
  - - ru.bitel.common.dao.AbstractDao<B>
    - - ru.bitel.bgbilling.modules.inet.api.server.bean.AbstractInetSessionDao<B>

- All Implemented Interfaces:
    java.lang.AutoCloseable

      public abstract class AbstractInetSessionDao<B>
      extends ru.bitel.common.dao.AbstractDao<B>

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class ru.bitel.common.dao.AbstractDao

      `ru.bitel.common.dao.AbstractDao.ResultSetIterator`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected java.lang.String` | `accountTableName`
    `protected java.lang.String` | `detailTableName`
    `static java.lang.String` | `TABLE_INET_SESSION_ACCOUNT`
    `static java.lang.String` | `TABLE_INET_SESSION_DETAIL`
    `static java.lang.String` | `TABLE_INET_SESSION_LOG`
    `static java.lang.String` | `TABLE_INET_SESSION_LOG_ACCOUNT`
    `static java.lang.String` | `TABLE_INET_SESSION_LOG_DETAIL`
    `static java.lang.String` | `TABLE_INET_SESSION_LOG_ROUTE`

    - ### Fields inherited from class ru.bitel.common.dao.AbstractDao

      `cacheFilter, cacheJoin, cacheOrderBy, cachePaged, cachePS, cacheWhat, con, getByIdPS, mid, moduleId, orderByPattern, tableName`

    - ### Fields inherited from class ru.bitel.common.dao.AbstarctDaoConstant

      `ERROR, SQL_CALC_FOUND_ROWS, SQL_DELETE, SQL_DISTINCT, SQL_EQ, SQL_EQCS, SQL_FROM, SQL_GROUP, SQL_IN, SQL_INSERT, SQL_LIMIT, SQL_ON_DUPLICATE_KEY_UPDATE, SQL_ORDER, SQL_SELECT, SQL_SET, SQL_UPDATE, SQL_VALUES, SQL_WHERE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AbstractInetSessionDao(java.sql.Connection con, int mid)`
    `AbstractInetSessionDao(java.sql.Connection con, int mid, java.util.Date date)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected java.lang.String` | `addWherePart(java.util.Collection<java.lang.Integer> servIds, Period period, java.lang.String sql)`
    `protected java.lang.String` | `getFromAndWherePart()`
    `protected java.sql.PreparedStatement` | `getPs(int cid, java.util.Collection<java.lang.Integer> servIds, Period period, Page page, java.lang.String sql)`
    `java.util.Map<java.lang.Integer,java.lang.Long>` | `getSessionTrafficsReport(int cid, java.util.Collection<java.lang.Integer> servIds, Period period, java.util.Collection<java.lang.Integer> trafficTypeIds)`
    `java.util.List<java.lang.Double>` | `getSumReportInfo(int cid, java.util.Collection<java.lang.Integer> servIds, Period period)`
    `void` | `loadAccount(java.util.List<InetSessionLog> sessions, java.util.Collection<java.lang.Integer> serviceIds)`
    `void` | `loadTraffics(java.util.List<InetSessionLog> sessions, java.util.Collection<java.lang.Integer> trafficTypeIds)`
    `protected void` | `setParams(int cid, Period period, Page page, java.sql.PreparedStatement ps)`

    - ### Methods inherited from class ru.bitel.common.dao.AbstractDao

      `close, delete, deleteImpl, eq, get, getById, getFromRS, getImpl, getListFromRS, getPeriod, getSQLOrder, getTableName, list, list, listImpl, listImpl, listImplPS, listImplPS, ormFromResultSet, ormUpdateImpl, ormUpdateImpl, processException, recycle, setStatementParam, update, updateImpl`

    - ### Methods inherited from class ru.bitel.common.dao.AbstarctDaoConstant

      `getSQLOrder`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### TABLE_INET_SESSION_LOG

          public static final java.lang.String TABLE_INET_SESSION_LOG

      See Also:
        Constant Field Values

    - #### TABLE_INET_SESSION_LOG_DETAIL

          public static final java.lang.String TABLE_INET_SESSION_LOG_DETAIL

      See Also:
        Constant Field Values

    - #### TABLE_INET_SESSION_LOG_ROUTE

          public static final java.lang.String TABLE_INET_SESSION_LOG_ROUTE

      See Also:
        Constant Field Values

    - #### TABLE_INET_SESSION_LOG_ACCOUNT

          public static final java.lang.String TABLE_INET_SESSION_LOG_ACCOUNT

      See Also:
        Constant Field Values

    - #### TABLE_INET_SESSION_DETAIL

          public static final java.lang.String TABLE_INET_SESSION_DETAIL

      See Also:
        Constant Field Values

    - #### TABLE_INET_SESSION_ACCOUNT

          public static final java.lang.String TABLE_INET_SESSION_ACCOUNT

      See Also:
        Constant Field Values

    - #### detailTableName

          protected final java.lang.String detailTableName

    - #### accountTableName

          protected final java.lang.String accountTableName

  - ### Constructor Detail

    - #### AbstractInetSessionDao

          public AbstractInetSessionDao(java.sql.Connection con,
                                        int mid,
                                        java.util.Date date)

    - #### AbstractInetSessionDao

          public AbstractInetSessionDao(java.sql.Connection con,
                                        int mid)

  - ### Method Detail

    - #### getSessionTrafficsReport

          public java.util.Map<java.lang.Integer,java.lang.Long> getSessionTrafficsReport(int cid,
                                                                                          java.util.Collection<java.lang.Integer> servIds,
                                                                                          Period period,
                                                                                          java.util.Collection<java.lang.Integer> trafficTypeIds)
                                                                                   throws ru.bitel.bgbilling.common.BGException

      Throws:
        `ru.bitel.bgbilling.common.BGException`

    - #### addWherePart

          protected java.lang.String addWherePart(java.util.Collection<java.lang.Integer> servIds,
                                                  Period period,
                                                  java.lang.String sql)

    - #### setParams

          protected void setParams(int cid,
                                   Period period,
                                   Page page,
                                   java.sql.PreparedStatement ps)
                            throws java.sql.SQLException

      Throws:
        `java.sql.SQLException`

    - #### loadAccount

          public void loadAccount(java.util.List<InetSessionLog> sessions,
                                  java.util.Collection<java.lang.Integer> serviceIds)
                           throws ru.bitel.bgbilling.common.BGException

      Throws:
        `ru.bitel.bgbilling.common.BGException`

    - #### loadTraffics

          public void loadTraffics(java.util.List<InetSessionLog> sessions,
                                   java.util.Collection<java.lang.Integer> trafficTypeIds)
                            throws ru.bitel.bgbilling.common.BGException

      Throws:
        `ru.bitel.bgbilling.common.BGException`

    - #### getSumReportInfo

          public java.util.List<java.lang.Double> getSumReportInfo(int cid,
                                                                   java.util.Collection<java.lang.Integer> servIds,
                                                                   Period period)
                                                            throws ru.bitel.bgbilling.common.BGException

      Throws:
        `ru.bitel.bgbilling.common.BGException`

    - #### getFromAndWherePart

          protected java.lang.String getFromAndWherePart()

    - #### getPs

          protected java.sql.PreparedStatement getPs(int cid,
                                                     java.util.Collection<java.lang.Integer> servIds,
                                                     Period period,
                                                     Page page,
                                                     java.lang.String sql)
                                              throws java.sql.SQLException

      Throws:
        `java.sql.SQLException`